/* Cortex-M0 minimal testcode #3, LDROM */

#define GPIOA_PMD  ((volatile unsigned int *) 0x50004000)
#define GPIOA_DOUT ((volatile unsigned int *) 0x50004008)
#define GPIOA_PIN  ((volatile unsigned int *) 0x50004010)

int main (void) {
  *GPIOA_PMD = 0x0000000d;    // PORTA B15..2 Input, B1 QuasiBiDir, B0 Output
  while (1) {
    if ((*GPIOA_PIN & 0x00000002) != 0) {
      *GPIOA_DOUT &= 0xfffffffe;
    } else {
      *GPIOA_DOUT |= 0x00000001;
    }
  }
}

int *myvectors[2] __attribute__ ((section(".vectors"))) = {
  (unsigned int *) 0x20004000,		// SP
  (unsigned int *) main			// Main
};
